package com.ynet.life.sujrb.action;

import com.ibm.icu.text.SimpleDateFormat;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import java.util.Date;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GetFlowTimeAction.class */
public class GetFlowTimeAction extends LifeAction {
    String inputNo;
    String dateFormat;
    String outputNo;
    private static final String ERROR_CODE_POOL = "EBLN0011";

    public String execute(Context context) throws GENEException {
        if (this.inputNo == null || "".equals(this.inputNo)) {
            throw new TranFailException(ERROR_CODE_POOL, "inputNo名称不能为空");
        }
        if (this.dateFormat == null || "".equals(this.dateFormat)) {
            throw new TranFailException(ERROR_CODE_POOL, "日期格式不能为空");
        }
        if (this.outputNo == null || "".equals(this.outputNo)) {
            throw new TranFailException(ERROR_CODE_POOL, "存储格式序列域不能为空");
        }
        String userId = ((String) context.getDataValue("userId")).substring(3);
        String inputReq = (String) context.getDataValue(this.inputNo);
        Date date = new Date();
        SimpleDateFormat sdf = new SimpleDateFormat(this.dateFormat);
        String dateStr = String.valueOf(userId) + sdf.format(date).substring(2) + inputReq;
        context.setDataValue(this.outputNo, dateStr);
        return "0";
    }

    public String getInputNo() {
        return this.inputNo;
    }

    public void setInputNo(String inputNo) {
        this.inputNo = inputNo;
    }

    public String getDateFormat() {
        return this.dateFormat;
    }

    public void setDateFormat(String dateFormat) {
        this.dateFormat = dateFormat;
    }

    public String getOutputNo() {
        return this.outputNo;
    }

    public void setOutputNo(String outputNo) {
        this.outputNo = outputNo;
    }
}
